DEFINITION MODULE convio;

FROM K32baseTypes IMPORT

	cardinal16, cardinal32, integer16;

EXPORT QUALIFIED

	getc, getc32, geti, putc, putc32, puti;

PROCEDURE getc(
	) : cardinal16;

PROCEDURE getc32(
	VAR x : cardinal32
	);

PROCEDURE geti(
	) : integer16;

PROCEDURE putc(
	x : cardinal16;
	base : integer16
	);

PROCEDURE putc32(
	x : cardinal32;
	base : cardinal16
	);

PROCEDURE puti(
	x : integer16;
	base : integer16
	);

END convio.
